<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\common\model\training;


use app\common\model\BaseModel;
use app\common\model\goods_category\GoodsCategory;
use app\common\model\master_worker\MasterWorker;


/**
 * TrainingWorkerCourse模型
 * Class TrainingWorkerCourse
 * @package app\common\model
 */
class TrainingWorkerCourse extends BaseModel
{
    
    protected $name = 'training_worker_course';

    public function trainingCourse()
    {
        return $this->hasOne(TrainingCourse::class, 'id', 'training_course_id');
    }
    public function masterWorker()
    {
        return $this->hasOne(MasterWorker::class, 'id', 'master_worker_id');
    }
    public function trainingTask()
    {
        return $this->hasOne(TrainingTask::class, 'id', 'training_task_id');
    }

    public function goodsCategory()
    {
        return $this->hasOne(GoodsCategory::class,'id','subclass');
    }

}